# Uses of Class
org.eclipse.ecf.filetransfer.IncomingFileTransferException

Packages that use IncomingFileTransferException
Package
Description
org.eclipse.ecf.filetransfer
org.eclipse.ecf.filetransfer.events
org.eclipse.ecf.provider.filetransfer.httpclient4
org.eclipse.ecf.provider.filetransfer.httpclient45
org.eclipse.ecf.provider.filetransfer.httpclient5
org.eclipse.ecf.provider.filetransfer.retrieve

## Uses of IncomingFileTransferException in org.eclipse.ecf.filetransfer

Subclasses of IncomingFileTransferException in org.eclipse.ecf.filetransfer
Modifier and Type
Class
Description
`class`
`InvalidFileRangeSpecificationException`
Methods in org.eclipse.ecf.filetransfer that throw IncomingFileTransferException
Modifier and Type
Method
Description
`void`
IRetrieveFileTransferContainerAdapter.`sendRetrieveRequest(IFileID remoteFileID, IFileRangeSpecification rangeSpecification, IFileTransferListener transferListener, Map options)`
Send request for transfer of a remote file to local file storage.
`void`
IRetrieveFileTransferContainerAdapter.`sendRetrieveRequest(IFileID remoteFileID, IFileTransferListener transferListener, Map options)`
Send request for transfer of a remote file to local file storage.

## Uses of IncomingFileTransferException in org.eclipse.ecf.filetransfer.events

Methods in org.eclipse.ecf.filetransfer.events that throw IncomingFileTransferException
Modifier and Type
Method
Description
`IIncomingFileTransfer`
IFileTransferRequestEvent.`accept(File localFileToSave)`
Accept the file transfer request.
`IIncomingFileTransfer`
IFileTransferRequestEvent.`accept(OutputStream outputStream, IFileTransferListener listener)`
Accept the file transfer request.

## Uses of IncomingFileTransferException in org.eclipse.ecf.provider.filetransfer.httpclient4

Methods in org.eclipse.ecf.provider.filetransfer.httpclient4 that throw IncomingFileTransferException
Modifier and Type
Method
Description
`protected void`
HttpClientRetrieveFileTransfer.`openStreams()`

## Uses of IncomingFileTransferException in org.eclipse.ecf.provider.filetransfer.httpclient45

Methods in org.eclipse.ecf.provider.filetransfer.httpclient45 that throw IncomingFileTransferException
Modifier and Type
Method
Description
`protected void`
HttpClientRetrieveFileTransfer.`openStreams()`

## Uses of IncomingFileTransferException in org.eclipse.ecf.provider.filetransfer.httpclient5

Methods in org.eclipse.ecf.provider.filetransfer.httpclient5 that throw IncomingFileTransferException
Modifier and Type
Method
Description
`protected void`
HttpClientRetrieveFileTransfer.`openStreams()`

## Uses of IncomingFileTransferException in org.eclipse.ecf.provider.filetransfer.retrieve

Methods in org.eclipse.ecf.provider.filetransfer.retrieve that throw IncomingFileTransferException
Modifier and Type
Method
Description
`protected abstract void`
AbstractRetrieveFileTransfer.`openStreams()`
Open incoming and outgoing streams associated with this file transfer.
`protected void`
UrlConnectionRetrieveFileTransfer.`openStreams()`
`void`
AbstractRetrieveFileTransfer.`sendRetrieveRequest(IFileID rFileID, IFileRangeSpecification rangeSpec, IFileTransferListener transferListener, Map ops)`
`void`
AbstractRetrieveFileTransfer.`sendRetrieveRequest(IFileID remoteFileID1, IFileTransferListener transferListener, Map options1)`
`void`
MultiProtocolRetrieveAdapter.`sendRetrieveRequest(IFileID remoteFileID, IFileRangeSpecification rangeSpecification, IFileTransferListener transferListener, Map options)`
`void`
MultiProtocolRetrieveAdapter.`sendRetrieveRequest(IFileID remoteFileID, IFileTransferListener transferListener, Map options)`